Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2004ParametersSet Class Reference

ParametersSet for GT2004WalkingEngine. More...

`#include <GT2004ParameterSet.h>`

Collaboration diagram for GT2004ParametersSet:

[legend]
List of all members.

## Public Types
enum | IndexName { much_rturn_fast, much_rturn_med, much_rturn_slow, stand, much_lturn_slow, much_lturn_med, much_lturn_fast, med_rturn_min180_slow, med_rturn_min135_slow, med_rturn_min90_slow, med_rturn_min45_slow, med_rturn_0_slow, med_rturn_45_slow, med_rturn_90_slow, med_rturn_135_slow, few_rturn_min180_slow, few_rturn_min135_slow, few_rturn_min90_slow, few_rturn_min45_slow, few_rturn_0_slow, few_rturn_45_slow, few_rturn_90_slow, few_rturn_135_slow, no_turn_min180_slow, no_turn_min135_slow, no_turn_min90_slow, no_turn_min45_slow, no_turn_0_slow, no_turn_45_slow, no_turn_90_slow, no_turn_135_slow, few_lturn_min180_slow, few_lturn_min135_slow, few_lturn_min90_slow, few_lturn_min45_slow, few_lturn_0_slow, few_lturn_45_slow, few_lturn_90_slow, few_lturn_135_slow, med_lturn_min180_slow, med_lturn_min135_slow, med_lturn_min90_slow, med_lturn_min45_slow, med_lturn_0_slow, med_lturn_45_slow, med_lturn_90_slow, med_lturn_135_slow, med_rturn_min180_med, med_rturn_min135_med, med_rturn_min90_med, med_rturn_min45_med, med_rturn_0_med, med_rturn_45_med, med_rturn_90_med, med_rturn_135_med, few_rturn_min180_med, few_rturn_min135_med, few_rturn_min90_med, few_rturn_min45_med, few_rturn_0_med, few_rturn_45_med, few_rturn_90_med, few_rturn_135_med, no_turn_min180_med, no_turn_min135_med, no_turn_min90_med, no_turn_min45_med, no_turn_0_med, no_turn_45_med, no_turn_90_med, no_turn_135_med, few_lturn_min180_med, few_lturn_min135_med, few_lturn_min90_med, few_lturn_min45_med, few_lturn_0_med, few_lturn_45_med, few_lturn_90_med, few_lturn_135_med, med_lturn_min180_med, med_lturn_min135_med, med_lturn_min90_med, med_lturn_min45_med, med_lturn_0_med, med_lturn_45_med, med_lturn_90_med, med_lturn_135_med, med_rturn_min180_fast, med_rturn_min135_fast, med_rturn_min90_fast, med_rturn_min45_fast, med_rturn_0_fast, med_rturn_45_fast, med_rturn_90_fast, med_rturn_135_fast, few_rturn_min180_fast, few_rturn_min135_fast, few_rturn_min90_fast, few_rturn_min45_fast, few_rturn_0_fast, few_rturn_45_fast, few_rturn_90_fast, few_rturn_135_fast, no_turn_min180_fast, no_turn_min135_fast, no_turn_min90_fast, no_turn_min45_fast, no_turn_0_fast, no_turn_45_fast, no_turn_90_fast, no_turn_135_fast, few_lturn_min180_fast, few_lturn_min135_fast, few_lturn_min90_fast, few_lturn_min45_fast, few_lturn_0_fast, few_lturn_45_fast, few_lturn_90_fast, few_lturn_135_fast, med_lturn_min180_fast, med_lturn_min135_fast, med_lturn_min90_fast, med_lturn_min45_fast, med_lturn_0_fast, med_lturn_45_fast, med_lturn_90_fast, med_lturn_135_fast, numberOfParameters }
| enum describing indexes of a set of parameters More...
## Public Member Functions
| GT2004ParametersSet ()
| default constructor
void | calculateMergedParameterSet (Pose2D &currentRequest)
| calculate merged parameters set according to motion request
GT2004Parameters * | getParameters (int index)
| return one of the GT2004Parameters in the tables according to index
bool | isMaxSpeedIndex (int index)
| returns true if the given index is for a parametersset designed for max speed
void | mirrorThis (int index)
| changes the mirrored parameters set to match the given one except for sign
void | mirrorLeftTurnToRightTurn ()
| changes all right turn parameters to match the according left turn parameters
bool | load (char *filename=0)
| tries to load the parameters set from a file
void | save (char *filename=0)
| saves the parameters set to a file
## Static Public Member Functions
char * | getIndexString (int index)
| returns the name string of a certain index
int | getIndexOfMirror (int index)
| return the index of the left right mirrored parameters set
double | getSpeed (const Pose2D &request)
| some functions to access and modify polar parts of a (motionRequest) Pose2D
double | getRatio (const Pose2D &request)
double | getDirection (const Pose2D &request)
void | setSpeed (Pose2D &request, double speed)
void | setRatio (Pose2D &request, double ratio)
void | setDirection (Pose2D &request, double direct)
## Public Attributes
GT2004Parameters | rotationOnly [7]
GT2004Parameters | withWalk [3][5][8]
GT2004Parameters | llBuf
| buffers for merging up to 8 parameter sets around the requested one
GT2004Parameters | luBuf
| buffers for merging up to 8 parameter sets around the requested one
GT2004Parameters | ulBuf
| buffers for merging up to 8 parameter sets around the requested one
GT2004Parameters | uuBuf
| buffers for merging up to 8 parameter sets around the requested one
GT2004Parameters | lBuf
| buffers for merging up to 8 parameter sets around the requested one
GT2004Parameters | uBuf
| buffers for merging up to 8 parameter sets around the requested one
GT2004Parameters | mBuf
| buffers for merging up to 8 parameter sets around the requested one
GT2004Parameters * | lowRatioLowSpeed
| pointers to merged parameter sets to minimize merging afford
GT2004Parameters * | lowRatioUpSpeed
| pointers to merged parameter sets to minimize merging afford
GT2004Parameters * | upRatioLowSpeed
| pointers to merged parameter sets to minimize merging afford
GT2004Parameters * | upRatioUpSpeed
| pointers to merged parameter sets to minimize merging afford
GT2004Parameters * | lowSpeed
GT2004Parameters * | upSpeed
GT2004Parameters * | mergedParameters

## Detailed Description

ParametersSet for GT2004WalkingEngine.

Author:
  Uwe Düffert

Definition at line 314 of file GT2004ParameterSet.h.

## Member Enumeration Documentation

enum GT2004ParametersSet::IndexName

  | enum describing indexes of a set of parameters Enumeration values:
  much_rturn_fast |
  much_rturn_med |
  much_rturn_slow |
  stand |
  much_lturn_slow |
  much_lturn_med |
  much_lturn_fast |
  med_rturn_min180_slow |
  med_rturn_min135_slow |
  med_rturn_min90_slow |
  med_rturn_min45_slow |
  med_rturn_0_slow |
  med_rturn_45_slow |
  med_rturn_90_slow |
  med_rturn_135_slow |
  few_rturn_min180_slow |
  few_rturn_min135_slow |
  few_rturn_min90_slow |
  few_rturn_min45_slow |
  few_rturn_0_slow |
  few_rturn_45_slow |
  few_rturn_90_slow |
  few_rturn_135_slow |
  no_turn_min180_slow |
  no_turn_min135_slow |
  no_turn_min90_slow |
  no_turn_min45_slow |
  no_turn_0_slow |
  no_turn_45_slow |
  no_turn_90_slow |
  no_turn_135_slow |
  few_lturn_min180_slow |
  few_lturn_min135_slow |
  few_lturn_min90_slow |
  few_lturn_min45_slow |
  few_lturn_0_slow |
  few_lturn_45_slow |
  few_lturn_90_slow |
  few_lturn_135_slow |
  med_lturn_min180_slow |
  med_lturn_min135_slow |
  med_lturn_min90_slow |
  med_lturn_min45_slow |
  med_lturn_0_slow |
  med_lturn_45_slow |
  med_lturn_90_slow |
  med_lturn_135_slow |
  med_rturn_min180_med |
  med_rturn_min135_med |
  med_rturn_min90_med |
  med_rturn_min45_med |
  med_rturn_0_med |
  med_rturn_45_med |
  med_rturn_90_med |
  med_rturn_135_med |
  few_rturn_min180_med |
  few_rturn_min135_med |
  few_rturn_min90_med |
  few_rturn_min45_med |
  few_rturn_0_med |
  few_rturn_45_med |
  few_rturn_90_med |
  few_rturn_135_med |
  no_turn_min180_med |
  no_turn_min135_med |
  no_turn_min90_med |
  no_turn_min45_med |
  no_turn_0_med |
  no_turn_45_med |
  no_turn_90_med |
  no_turn_135_med |
  few_lturn_min180_med |
  few_lturn_min135_med |
  few_lturn_min90_med |
  few_lturn_min45_med |
  few_lturn_0_med |
  few_lturn_45_med |
  few_lturn_90_med |
  few_lturn_135_med |
  med_lturn_min180_med |
  med_lturn_min135_med |
  med_lturn_min90_med |
  med_lturn_min45_med |
  med_lturn_0_med |
  med_lturn_45_med |
  med_lturn_90_med |
  med_lturn_135_med |
  med_rturn_min180_fast |
  med_rturn_min135_fast |
  med_rturn_min90_fast |
  med_rturn_min45_fast |
  med_rturn_0_fast |
  med_rturn_45_fast |
  med_rturn_90_fast |
  med_rturn_135_fast |
  few_rturn_min180_fast |
  few_rturn_min135_fast |
  few_rturn_min90_fast |
  few_rturn_min45_fast |
  few_rturn_0_fast |
  few_rturn_45_fast |
  few_rturn_90_fast |
  few_rturn_135_fast |
  no_turn_min180_fast |
  no_turn_min135_fast |
  no_turn_min90_fast |
  no_turn_min45_fast |
  no_turn_0_fast |
  no_turn_45_fast |
  no_turn_90_fast |
  no_turn_135_fast |
  few_lturn_min180_fast |
  few_lturn_min135_fast |
  few_lturn_min90_fast |
  few_lturn_min45_fast |
  few_lturn_0_fast |
  few_lturn_45_fast |
  few_lturn_90_fast |
  few_lturn_135_fast |
  med_lturn_min180_fast |
  med_lturn_min135_fast |
  med_lturn_min90_fast |
  med_lturn_min45_fast |
  med_lturn_0_fast |
  med_lturn_45_fast |
  med_lturn_90_fast |
  med_lturn_135_fast |
  numberOfParameters |
Definition at line 320 of file GT2004ParameterSet.h. Referenced by getIndexOfMirror(), and getIndexString().

## Constructor & Destructor Documentation

GT2004ParametersSet::GT2004ParametersSet | ( |  | ) |

| default constructor Definition at line 171 of file GT2004ParameterSet.cpp. References GT2004Parameters::correctedMotion, GT2004Parameters::index, load(), lowRatioLowSpeed, lowRatioUpSpeed, lowSpeed, mergedParameters, pi_2, pi_4, GT2004Parameters::requestedMotion, rotationOnly, upRatioLowSpeed, upRatioUpSpeed, upSpeed, and withWalk.

Here is the call graph for this function:

## Member Function Documentation

void GT2004ParametersSet::calculateMergedParameterSet | ( | Pose2D & | currentRequest | ) |

  | calculate merged parameters set according to motion request Parameters:
  currentRequest | the request the merged parameters set shall be optimized for
Definition at line 320 of file GT2004ParameterSet.cpp. References Vector2< double >::abs(), GT2004Parameters::interpolate(), lBuf, llBuf, lowRatioLowSpeed, lowRatioUpSpeed, lowSpeed, luBuf, mBuf, mergedParameters, min, pi, Pose2D::rotation, rotationOnly, sqr, Pose2D::translation, uBuf, ulBuf, upRatioLowSpeed, upRatioUpSpeed, upSpeed, uuBuf, withWalk, Vector2< double >::x, and Vector2< double >::y. Referenced by GT2004WalkingEngine::calculateLegSpeeds().

Here is the call graph for this function:

GT2004Parameters * GT2004ParametersSet::getParameters | ( | int | index | ) |

| return one of the GT2004Parameters in the tables according to index Definition at line 619 of file GT2004ParameterSet.cpp. References rotationOnly, and withWalk. Referenced by mirrorThis(), and GT2004WalkingEngine::setNextParameters().

bool GT2004ParametersSet::isMaxSpeedIndex | ( | int | index | ) |

| returns true if the given index is for a parametersset designed for max speed Definition at line 635 of file GT2004ParameterSet.cpp.

char * GT2004ParametersSet::getIndexString | ( | int | index | ) | `[static]`

  | returns the name string of a certain index Parameters:
  index | the index of the parameters we would like to get the name of
Returns: the name of the index as char* Definition at line 650 of file GT2004ParameterSet.cpp. References few_lturn_0_fast, few_lturn_0_med, few_lturn_0_slow, few_lturn_135_fast, few_lturn_135_med, few_lturn_135_slow, few_lturn_45_fast, few_lturn_45_med, few_lturn_45_slow, few_lturn_90_fast, few_lturn_90_med, few_lturn_90_slow, few_lturn_min135_fast, few_lturn_min135_med, few_lturn_min135_slow, few_lturn_min180_fast, few_lturn_min180_med, few_lturn_min180_slow, few_lturn_min45_fast, few_lturn_min45_med, few_lturn_min45_slow, few_lturn_min90_fast, few_lturn_min90_med, few_lturn_min90_slow, few_rturn_0_fast, few_rturn_0_med, few_rturn_0_slow, few_rturn_135_fast, few_rturn_135_med, few_rturn_135_slow, few_rturn_45_fast, few_rturn_45_med, few_rturn_45_slow, few_rturn_90_fast, few_rturn_90_med, few_rturn_90_slow, few_rturn_min135_fast, few_rturn_min135_med, few_rturn_min135_slow, few_rturn_min180_fast, few_rturn_min180_med, few_rturn_min180_slow, few_rturn_min45_fast, few_rturn_min45_med, few_rturn_min45_slow, few_rturn_min90_fast, few_rturn_min90_med, few_rturn_min90_slow, IndexName, med_lturn_0_fast, med_lturn_0_med, med_lturn_0_slow, med_lturn_135_fast, med_lturn_135_med, med_lturn_135_slow, med_lturn_45_fast, med_lturn_45_med, med_lturn_45_slow, med_lturn_90_fast, med_lturn_90_med, med_lturn_90_slow, med_lturn_min135_fast, med_lturn_min135_med, med_lturn_min135_slow, med_lturn_min180_fast, med_lturn_min180_med, med_lturn_min180_slow, med_lturn_min45_fast, med_lturn_min45_med, med_lturn_min45_slow, med_lturn_min90_fast, med_lturn_min90_med, med_lturn_min90_slow, med_rturn_0_fast, med_rturn_0_med, med_rturn_0_slow, med_rturn_135_fast, med_rturn_135_med, med_rturn_135_slow, med_rturn_45_fast, med_rturn_45_med, med_rturn_45_slow, med_rturn_90_fast, med_rturn_90_med, med_rturn_90_slow, med_rturn_min135_fast, med_rturn_min135_med, med_rturn_min135_slow, med_rturn_min180_fast, med_rturn_min180_med, med_rturn_min180_slow, med_rturn_min45_fast, med_rturn_min45_med, med_rturn_min45_slow, med_rturn_min90_fast, med_rturn_min90_med, med_rturn_min90_slow, much_lturn_fast, much_lturn_med, much_lturn_slow, much_rturn_fast, much_rturn_med, much_rturn_slow, no_turn_0_fast, no_turn_0_med, no_turn_0_slow, no_turn_135_fast, no_turn_135_med, no_turn_135_slow, no_turn_45_fast, no_turn_45_med, no_turn_45_slow, no_turn_90_fast, no_turn_90_med, no_turn_90_slow, no_turn_min135_fast, no_turn_min135_med, no_turn_min135_slow, no_turn_min180_fast, no_turn_min180_med, no_turn_min180_slow, no_turn_min45_fast, no_turn_min45_med, no_turn_min45_slow, no_turn_min90_fast, no_turn_min90_med, and no_turn_min90_slow.

int GT2004ParametersSet::getIndexOfMirror | ( | int | index | ) | `[static]`

  | return the index of the left right mirrored parameters set Parameters:
  index | the index of the parameters set you want to get the mirrored version of
Returns: the index of the left right mirrored parameters set or -1 if that doesnt exist Definition at line 785 of file GT2004ParameterSet.cpp. References few_lturn_0_fast, few_lturn_0_med, few_lturn_0_slow, few_lturn_135_fast, few_lturn_135_med, few_lturn_135_slow, few_lturn_45_fast, few_lturn_45_med, few_lturn_45_slow, few_lturn_90_fast, few_lturn_90_med, few_lturn_90_slow, few_lturn_min135_fast, few_lturn_min135_med, few_lturn_min135_slow, few_lturn_min180_fast, few_lturn_min180_med, few_lturn_min180_slow, few_lturn_min45_fast, few_lturn_min45_med, few_lturn_min45_slow, few_lturn_min90_fast, few_lturn_min90_med, few_lturn_min90_slow, few_rturn_0_fast, few_rturn_0_med, few_rturn_0_slow, few_rturn_135_fast, few_rturn_135_med, few_rturn_135_slow, few_rturn_45_fast, few_rturn_45_med, few_rturn_45_slow, few_rturn_90_fast, few_rturn_90_med, few_rturn_90_slow, few_rturn_min135_fast, few_rturn_min135_med, few_rturn_min135_slow, few_rturn_min180_fast, few_rturn_min180_med, few_rturn_min180_slow, few_rturn_min45_fast, few_rturn_min45_med, few_rturn_min45_slow, few_rturn_min90_fast, few_rturn_min90_med, few_rturn_min90_slow, IndexName, med_lturn_0_fast, med_lturn_0_med, med_lturn_0_slow, med_lturn_135_fast, med_lturn_135_med, med_lturn_135_slow, med_lturn_45_fast, med_lturn_45_med, med_lturn_45_slow, med_lturn_90_fast, med_lturn_90_med, med_lturn_90_slow, med_lturn_min135_fast, med_lturn_min135_med, med_lturn_min135_slow, med_lturn_min180_fast, med_lturn_min180_med, med_lturn_min180_slow, med_lturn_min45_fast, med_lturn_min45_med, med_lturn_min45_slow, med_lturn_min90_fast, med_lturn_min90_med, med_lturn_min90_slow, med_rturn_0_fast, med_rturn_0_med, med_rturn_0_slow, med_rturn_135_fast, med_rturn_135_med, med_rturn_135_slow, med_rturn_45_fast, med_rturn_45_med, med_rturn_45_slow, med_rturn_90_fast, med_rturn_90_med, med_rturn_90_slow, med_rturn_min135_fast, med_rturn_min135_med, med_rturn_min135_slow, med_rturn_min180_fast, med_rturn_min180_med, med_rturn_min180_slow, med_rturn_min45_fast, med_rturn_min45_med, med_rturn_min45_slow, med_rturn_min90_fast, med_rturn_min90_med, med_rturn_min90_slow, much_lturn_fast, much_lturn_med, much_lturn_slow, much_rturn_fast, much_rturn_med, much_rturn_slow, no_turn_135_fast, no_turn_135_med, no_turn_135_slow, no_turn_45_fast, no_turn_45_med, no_turn_45_slow, no_turn_90_fast, no_turn_90_med, no_turn_90_slow, no_turn_min135_fast, no_turn_min135_med, no_turn_min135_slow, no_turn_min45_fast, no_turn_min45_med, no_turn_min45_slow, no_turn_min90_fast, no_turn_min90_med, and no_turn_min90_slow. Referenced by mirrorThis().

void GT2004ParametersSet::mirrorThis | ( | int | index | ) |

  | changes the mirrored parameters set to match the given one except for sign Parameters:
  index | the index of the source parameters set, the mirrored one shall look like that
Definition at line 926 of file GT2004ParameterSet.cpp. References GT2004Parameters::correctedMotion, getIndexOfMirror(), getParameters(), GT2004Parameters::index, GT2004Parameters::requestedMotion, Pose2D::rotation, Pose2D::translation, and Vector2< double >::y. Referenced by mirrorLeftTurnToRightTurn(), and GT2004WalkingEngine::nextParametersInterpolation().

Here is the call graph for this function:

void GT2004ParametersSet::mirrorLeftTurnToRightTurn | ( |  | ) |

| changes all right turn parameters to match the according left turn parameters Definition at line 259 of file GT2004ParameterSet.cpp. References few_lturn_0_fast, few_lturn_0_med, few_lturn_0_slow, few_lturn_135_fast, few_lturn_135_med, few_lturn_135_slow, few_lturn_45_fast, few_lturn_45_med, few_lturn_45_slow, few_lturn_90_fast, few_lturn_90_med, few_lturn_90_slow, few_lturn_min135_fast, few_lturn_min135_med, few_lturn_min135_slow, few_lturn_min180_fast, few_lturn_min180_med, few_lturn_min180_slow, few_lturn_min45_fast, few_lturn_min45_med, few_lturn_min45_slow, few_lturn_min90_fast, few_lturn_min90_med, few_lturn_min90_slow, med_lturn_0_fast, med_lturn_0_med, med_lturn_0_slow, med_lturn_135_fast, med_lturn_135_med, med_lturn_135_slow, med_lturn_45_fast, med_lturn_45_med, med_lturn_45_slow, med_lturn_90_fast, med_lturn_90_med, med_lturn_90_slow, med_lturn_min135_fast, med_lturn_min135_med, med_lturn_min135_slow, med_lturn_min180_fast, med_lturn_min180_med, med_lturn_min180_slow, med_lturn_min45_fast, med_lturn_min45_med, med_lturn_min45_slow, med_lturn_min90_fast, med_lturn_min90_med, med_lturn_min90_slow, mirrorThis(), much_lturn_fast, much_lturn_med, and much_lturn_slow.

Here is the call graph for this function:

double GT2004ParametersSet::getSpeed | ( | const Pose2D & | request | ) | `[static]`

| some functions to access and modify polar parts of a (motionRequest) Pose2D Definition at line 942 of file GT2004ParameterSet.cpp. References Vector2< double >::abs(), Pose2D::rotation, sqr, and Pose2D::translation. Referenced by setRatio().

Here is the call graph for this function:

double GT2004ParametersSet::getRatio | ( | const Pose2D & | request | ) | `[static]`

| Definition at line 945 of file GT2004ParameterSet.cpp. References Vector2< double >::abs(), pi, Pose2D::rotation, and Pose2D::translation. Referenced by setSpeed().

Here is the call graph for this function:

double GT2004ParametersSet::getDirection | ( | const Pose2D & | request | ) | `[static]`

| Definition at line 948 of file GT2004ParameterSet.cpp. References Pose2D::translation, Vector2< double >::x, and Vector2< double >::y. Referenced by setRatio(), and setSpeed().

void GT2004ParametersSet::setSpeed | ( | Pose2D & | request,
|  | double | speed
| ) | `[static]`

| Definition at line 951 of file GT2004ParameterSet.cpp. References getDirection(), getRatio(), pi, Pose2D::rotation, Pose2D::translation, Vector2< double >::x, and Vector2< double >::y.

Here is the call graph for this function:

void GT2004ParametersSet::setRatio | ( | Pose2D & | request,
|  | double | ratio
| ) | `[static]`

| Definition at line 963 of file GT2004ParameterSet.cpp. References getDirection(), getSpeed(), pi, Pose2D::rotation, Pose2D::translation, Vector2< double >::x, and Vector2< double >::y.

Here is the call graph for this function:

void GT2004ParametersSet::setDirection | ( | Pose2D & | request,
|  | double | direct
| ) | `[static]`

| Definition at line 975 of file GT2004ParameterSet.cpp. References Vector2< double >::abs(), Pose2D::rotation, Pose2D::translation, Vector2< double >::x, and Vector2< double >::y.

Here is the call graph for this function:

bool GT2004ParametersSet::load | ( | char * | filename = 0 | ) |

| tries to load the parameters set from a file Returns: true, if reading was successful, false if set is unchanged Definition at line 986 of file GT2004ParameterSet.cpp. References InFile::exists(), getRobotConfiguration(), RobotConfiguration::getRobotDesign(), mergedParameters, and rotationOnly. Referenced by GT2004ParametersSet(), and GT2004WalkingEngine::handleMessage().

Here is the call graph for this function:

void GT2004ParametersSet::save | ( | char * | filename = 0 | ) |

| saves the parameters set to a file Definition at line 1014 of file GT2004ParameterSet.cpp. References getRobotConfiguration(), and RobotConfiguration::getRobotDesign().

Here is the call graph for this function:

## Member Data Documentation

GT2004Parameters GT2004ParametersSet::rotationOnly[7]

| Definition at line 363 of file GT2004ParameterSet.h. Referenced by calculateMergedParameterSet(), getParameters(), GT2004ParametersSet(), load(), operator<<(), and operator>>().

GT2004Parameters GT2004ParametersSet::withWalk[3][5][8]

| Definition at line 364 of file GT2004ParameterSet.h. Referenced by calculateMergedParameterSet(), getParameters(), GT2004ParametersSet(), operator<<(), and operator>>().

GT2004Parameters GT2004ParametersSet::llBuf

| buffers for merging up to 8 parameter sets around the requested one Definition at line 370 of file GT2004ParameterSet.h. Referenced by calculateMergedParameterSet().

GT2004Parameters GT2004ParametersSet::luBuf

| buffers for merging up to 8 parameter sets around the requested one Definition at line 370 of file GT2004ParameterSet.h. Referenced by calculateMergedParameterSet().

GT2004Parameters GT2004ParametersSet::ulBuf

| buffers for merging up to 8 parameter sets around the requested one Definition at line 370 of file GT2004ParameterSet.h. Referenced by calculateMergedParameterSet().

GT2004Parameters GT2004ParametersSet::uuBuf

| buffers for merging up to 8 parameter sets around the requested one Definition at line 370 of file GT2004ParameterSet.h. Referenced by calculateMergedParameterSet().

GT2004Parameters GT2004ParametersSet::lBuf

| buffers for merging up to 8 parameter sets around the requested one Definition at line 370 of file GT2004ParameterSet.h. Referenced by calculateMergedParameterSet().

GT2004Parameters GT2004ParametersSet::uBuf

| buffers for merging up to 8 parameter sets around the requested one Definition at line 370 of file GT2004ParameterSet.h. Referenced by calculateMergedParameterSet().

GT2004Parameters GT2004ParametersSet::mBuf

| buffers for merging up to 8 parameter sets around the requested one Definition at line 370 of file GT2004ParameterSet.h. Referenced by calculateMergedParameterSet().

GT2004Parameters* GT2004ParametersSet::lowRatioLowSpeed

| pointers to merged parameter sets to minimize merging afford Definition at line 373 of file GT2004ParameterSet.h. Referenced by calculateMergedParameterSet(), and GT2004ParametersSet().

GT2004Parameters * GT2004ParametersSet::lowRatioUpSpeed

| pointers to merged parameter sets to minimize merging afford Definition at line 373 of file GT2004ParameterSet.h. Referenced by calculateMergedParameterSet(), and GT2004ParametersSet().

GT2004Parameters * GT2004ParametersSet::upRatioLowSpeed

| pointers to merged parameter sets to minimize merging afford Definition at line 373 of file GT2004ParameterSet.h. Referenced by calculateMergedParameterSet(), and GT2004ParametersSet().

GT2004Parameters * GT2004ParametersSet::upRatioUpSpeed

| pointers to merged parameter sets to minimize merging afford Definition at line 373 of file GT2004ParameterSet.h. Referenced by calculateMergedParameterSet(), and GT2004ParametersSet().

GT2004Parameters* GT2004ParametersSet::lowSpeed

| Definition at line 374 of file GT2004ParameterSet.h. Referenced by calculateMergedParameterSet(), and GT2004ParametersSet().

GT2004Parameters * GT2004ParametersSet::upSpeed

| Definition at line 374 of file GT2004ParameterSet.h. Referenced by calculateMergedParameterSet(), and GT2004ParametersSet().

GT2004Parameters * GT2004ParametersSet::mergedParameters

| Definition at line 374 of file GT2004ParameterSet.h. Referenced by GT2004WalkingEngine::calculateLegSpeeds(), calculateMergedParameterSet(), GT2004WalkingEngine::executeParameterized(), GT2004ParametersSet(), GT2005WalkingEngine::GT2005WalkingEngine(), GT2004WalkingEngine::handleMessage(), GT2004WalkingEngine::init(), and load().

The documentation for this class was generated from the following files:

- Modules/WalkingEngine/GT2004ParameterSet.h
- Modules/WalkingEngine/GT2004ParameterSet.cpp